Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a booking by ID

Scope: crm:booking-services.read https://api.alladdin.com/api/v2/bookings/{bookingId}

Returns a single booking identified by its unique ID.

Parameters

Path parameters

bookingId string required

Booking ID (24-char hex ObjectId)

Request

python
import requests

url = "https://api.alladdin.com/api/v2/bookings/{bookingId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "start_time": "2024-01-15T10:30:00+00:00",
  "end_time": "2024-01-15T11:30:00+00:00",
  "duration": 3600,
  "created_at": "2024-01-15T10:30:00+00:00",
  "updated_at": "2024-01-15T10:30:00Z",
  "status": "confirmed",
  "service": {
    "id": "507f1f77bcf86cd799439011",
    "name": "string",
    "description": "string",
    "duration": 3600,
    "subtotal": {
      "amount": "50.00",
      "currency": "EUR"
    },
    "total": {
      "amount": "60.50",
      "currency": "EUR"
    }
  },
  "space": {
    "id": "507f1f77bcf86cd799439011",
    "name": "string"
  },
  "outcome": {
    "document_id": "string",
    "type": "string",
    "exported_at": "2024-01-15T10:30:00Z"
  },
  "custom_fields": [
    {
      "key": "string",
      "label": "string",
      "type": "string",
      "value": "string"
    }
  ]
}

Success responses

200 Booking found application/json object id string

Unique identifier of the booking

start_time string<date-time>

Start time in ISO 8601 format

end_time string<date-time>

End time in ISO 8601 format

duration integer

Duration in seconds

created_at string<date-time>

Creation timestamp in ISO 8601 format

updated_at string<date-time> | null

Last update timestamp in ISO 8601 format

status string

Booking status

Enum: confirmed cancelled service object

Service associated with this booking

id string

Unique identifier of the service

name string

Name of the service

description string | null

Description of the service

duration integer

Duration in seconds

subtotal object | null

Price before taxes

total object | null

Price including taxes

space object

Space where the booking takes place

id string

Unique identifier of the space

name string

Name of the space

outcome object | null

Exported document linked to this booking

document_id string

Identifier of the exported document

type string | null

Document type

exported_at string<date-time>

Export timestamp in ISO 8601 format

custom_fields[] object[]

Custom field values associated with the booking

key string

Custom field key

label string

Custom field label

type string

Custom field type

value string | null

Custom field value

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Booking not found application/json 429 Rate limit exceeded application/json

← PreviousList all booking locations →

Next →Get available slots for a location →